#include <iostream>

using namespace std;

int main()
{
    int n;
    float m=0,u=0,py,porez=0.01;
    int ay;
    int a[200000] ={0};
    float p[200000] ={0};
    cin>>n;
    for(int i=0; i<n; i++)
        cin>>a[i]>>p[i];
    while(porez<100){
        for(int y=0; y<n; y++){
            py=p[y];
            ay=a[y];
            if(porez<=py){
                u=u+ay;
            }
        }
        u=(u/100)*porez;
        if(u>m){
            m=u;
        }
        u=0;
        porez=porez+0.01;
        }
    printf("%0.4lf", m);
}